Megszűnik a PHP 5.x verziófrissítése- sok weboldal veszélyben

Év végén megszűnik a PHP 5.x verziófrissítése, amely hasonló problémákat eredményez majd mint a win XP kivezetése.

A honlaptulajdonosoknak lépést kell tartani a php verzió frissítéssel hiszen ha a jelenlegi verzión maradnak:

  • az ismert és immár frissítés nélkül maradt php5 biztonsági résein keresztül könnyen törhetik az oldalt
  • lassabb oldalt kapnak mint akik átálltak a php7-es vagy 7.2-es verzióra
  • a frissítés hiányában látszólag minden jól működhet...egy darabig, a háttérben viszont a botnetek folyamatosan támadhatják és átvehetik az uralmat a weboldal felett
  • frissítés nélkül a weboldal összeomolhat
  • frissítés nélkül egyszer csak azt tapasztalhatjuk, hogy a tárhely szolgáltató korlátozza a weboldalt, mert a php5 biztonsági réseit kihasználva malware tevékenység, spammelés veszi kezdetét

A php7 sebessége a php5-höz képestA php 7 sokkal gyorsabb mint elődje- még egy érv a váltás mellett!

Kiket érinthet a PHP 5.x kivezetése?

A világ weblapjainak több mint 60%-a használja a PHP 5 valamelyik verzióját, így nekik mindenképpen megoldást kell találniuk arra, hogy PHP 7-re álljanak át.
• PHP 5.6 41.5%
• PHP 5.4 20.0%
• PHP 5.3 17.2%
• PHP 5.5 14.2%
• PHP 5.2 6.7%
• PHP 5.1 0.4%
• PHP 5.0 kevesebb, mint 0.1%

A honlaptulajdonosok keserű szájízzel fogadják

A honlaptulajdonosok egy része nagyon negatívan fogadta az újítást hiszen az új php verzió bevezetésével főleg a 2-3 éves weboldalakat kissé át kell alakítani – kompatibilissé kell varázsolni.

„Én már egyszer kifizettem a honlapkészítést, miért kellene most is fizetnem egy frissítésért?”
„Ez a fejlesztő feladata, örök garancia van!”
„Jó lesz nekem php5-ös verzión – ha eddig ment ezután is fog!”

Érthetőek a reakciók, még ha nem is feltétlenül fedik a valóságot

Minden területen az tapasztalható, ha lépést akarunk tartani a technikai fejlődéssel és biztonságos, stabil, bevételt termelő honlapot szeretnénk akkor áldozni kell rá.

Vagy havi supportdíj keretében vagy eseti beavatkozásokkal.

Amennyiben van support szolgáltatásunk akkor ez és a hasonló frissítések nem érintenek bennünket, hiszen a szolgáltató megoldja és garantálja a zavartalan működést.

Ha nincs, akkor viszonylag gyorsan keressünk valakit aki a megfelelő frissítéseket elvégzi , mert ha beüt a baj – ahogy az történt most számtalan weboldallal nem biztos, hogy azonnal találunk fejlesztőt aki pár órán belül rendelkezésre áll! Az pedig, hogy napokig álljon a honlap – nem kifizetődő.

Jelenleg használt php verziók

Kié a felelősség ha megtörtént a baj

Sajnos azt kell mondanunk, hogy nem a tárhely szolgáltatóé! Egy jó tárhely szolgáltatónak lehetőséget kell biztosítania (Cpanel, Plesk, Ispconfig) , hogy saját magunk tudjuk a php verziót átállítani az újabb verzióra- de az ő felelőssége itt ki is merül. (Óvatosan!! Ha átállítjuk és hibát dob az oldal mindenképp szükség lesz a webfejlesztő segítségére!)

A webfejlesztő sem hibás! Akkor amikor a honlap készült, vélhetően a php5-ös verzió még messze támogatott volt és a tudásának megfelelően járt el.

Maradtunk mi! Mi vagyunk a felelősek a saját honlapunk frissítéséért , karbantartásáért – hacsak nincs support szolgáltatásunk!

Olyan ez mint az autó, megveszem semmi baj nincs vele, megyek vele 10.000 km-t és olajcserére kell vinni, cserélni kell a fékbetéteket, a féktárcsákat – itt ki is merültek autós ismereteim, de egy szónak is száz a vége – karbantartást igényel!

Ha rászántuk magunkat és frissítünk- mire érdemes átállni?

  • PHP 7.2 vagy frissebb kiadás
  • MySQL 5.6 vagy frissebb kiadás VAGY MariaDB 10.0 vagy frissebb kiadás
  • HTTPS támogatás
Ha tetszik, kérjük oszd meg

Kezdjük el a közös munkát, kérje díjmentes ajánlatunkat

Ajánlatkérés »